# Generated from telesign_lib-0.0.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name telesign_lib

Name: rubygem-%{gem_name}
Version: 0.0.13
Release: 1%{?dist}
Summary: Client gem for TeleSign REST API
License: MIT
URL: https://github.com/redrick/ruby_telesign
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.5
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(webmock) >= 1.20
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(mimic) >= 0.4
# BuildRequires: rubygem(mimic) < 1
BuildArch: noarch

%description
Library for comunication with TeleSign REST API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/telesign.gemspec
%{gem_instdir}/test

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.13-1
- Initial package
